using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using fatd_faturamento.DAL.Persistencia;
using fatd_faturamento.BLL.RegraNegocio;
using fatd_faturamento.ENTIDADE;

namespace fatd_faturamento.BLL.Repositorio
{
    public class repositorioGDCompensacao
    {

        public void Insert(entidadeGDCompensacao objGDCompensacao)
        {
            dalGDCompensacao dalGDCompensacao = null;

            try
            {
                dalGDCompensacao = new dalGDCompensacao();

                dalGDCompensacao.Insert(objGDCompensacao);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Update(entidadeGDCompensacao objGDCompensacao)
        {
            dalGDCompensacao dalGDCompensacao = null;

            try
            {
                dalGDCompensacao = new dalGDCompensacao();

                dalGDCompensacao.Update(objGDCompensacao);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Update_1(entidadeGDCompensacao objGDCompensacao)
        {
            dalGDCompensacao dalGDCompensacao = null;

            try
            {
                dalGDCompensacao = new dalGDCompensacao();

                dalGDCompensacao.Update_1(objGDCompensacao);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeGDCompensacao> Select(entidadeGDCompensacao objGDCompensacao)
        {
            dalGDCompensacao dalGDCompensacao = null;

            var lstGDCompensacao = new List<entidadeGDCompensacao>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;

            try
            {
                dalGDCompensacao = new dalGDCompensacao();
                dt = dalGDCompensacao.Select(objGDCompensacao);

                regranegocioGlobal = new regraNegocioGlobal();

                lstGDCompensacao = regraNegocioGlobal.ConvertDataTable<entidadeGDCompensacao>(dt);

                return lstGDCompensacao;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeGDCompensacao> Select_1(entidadeGDCompensacao objGDCompensacao)
        {
            dalGDCompensacao dalGDCompensacao = null;

            var lstGDCompensacao = new List<entidadeGDCompensacao>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;

            try
            {
                dalGDCompensacao = new dalGDCompensacao();
                dt = dalGDCompensacao.Select_1(objGDCompensacao);

                regranegocioGlobal = new regraNegocioGlobal();

                lstGDCompensacao = regraNegocioGlobal.ConvertDataTable<entidadeGDCompensacao>(dt);

                return lstGDCompensacao;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public DataTable SelectCount(entidadeGDCompensacao objGDCompensacao)
        {
            dalGDCompensacao dalGDCompensacao = null;
            DataTable dt = null;

            try
            {
                dalGDCompensacao = new dalGDCompensacao();
                dt = dalGDCompensacao.SelectCount(objGDCompensacao);

                return dt;
            }
            catch (Exception)
            {
                throw;
            }
        }

    }
}
